classification
Title: OpenBSD: Merge patches
Type: behavior Stage: resolved
Components: Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, rpointel, vstinner
Priority: normal Keywords:

Created on 2014-02-17 12:13 by vstinner, last changed 2017-07-26 03:00 by vstinner. This issue is now closed.

Messages (4)
msg211413 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-02-17 12:13
OpenBSD has its own collection of patches for Python 3.3:
http://www.openbsd.org/cgi-bin/cvsweb/ports/lang/python/3.3/patches/

These patches should be merged into Python directly.
msg235956 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-02-14 09:10
Do any patches still need merging into 3.x or is this out of date?
msg276953 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2016-09-19 08:19
Except for the locale patch, all remaining patches at http://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/lang/python/3.5/patches/ look specific to BSD.
msg299194 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-26 03:00
I'm sorry but there is no more OpenBSD buildbot. I have no more OpenBSD VM. I just close this old issue :-(
History
Date User Action Args
2017-07-26 03:00:47vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg299194

stage: resolved
2016-09-19 13:09:58BreamoreBoysetnosy: - BreamoreBoy
2016-09-19 08:19:29christian.heimessetversions: + Python 3.5, Python 3.6, Python 3.7, - Python 3.3, Python 3.4
nosy: + christian.heimes

messages: + msg276953

type: behavior
2015-02-14 09:10:58BreamoreBoysetnosy: + BreamoreBoy
messages: + msg235956
2014-02-17 12:13:27vstinnercreate